import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .sc-emoji-picker": {
    position: "absolute",
    bottom: "50px",
    right: "0px",
    width: "330px",
    maxHeight: "215px",
    boxShadow: "0px 7px 40px 2px rgba(148, 149, 150, 0.3)",
    background: "white",
    borderRadius: "10px",
    outline: "none",
    "&:after": {
      content: "",
      width: "14px",
      height: "14px",
      background: "white",
      position: "absolute",
      bottom: "-6px",
      right: "30px",
      transform: "rotate(45deg)",
      borderRadius: "2px"
    }
  },
  "& .sc-emoji-picker--content": {
    padding: "10px",
    overflow: "auto",
    width: "100%",
    maxHeight: "180px",
    boxSizing: "border-box"
  },
  "& .sc-emoji-picker--category": {
    display: "flex",
    flexDirection: "row",
    flexWrap: "wrap"
  },
  "&  .sc-emoji-picker--category-title": {
    minWidth: "100%",
    color: "#b8c3ca",
    fontWeight: "200",
    fontSize: "13px",
    margin: "5px",
    letterSpacing: "1px"
  },
  "& .sc-emoji-picker--emoji": {
    margin: "5px",
    width: "30px",
    lineHeight: "30px",
    textAlign: "center",
    cursor: "pointer",
    verticalAlign: "middle",
    fontSize: "28px",
    transition: "transform 60ms ease-out, -webkit-transform 60ms ease-out",
    "&:hover": {
      transform: "scale(1.4)"
    }
  }
});
export default Styles;