import React from "react";
import { useState } from "react";
import Styles from "./styles/comments";
import { useDispatch } from "react-redux";
import { addComment } from "../../redux/messages/messages.actions";
import { IMAGES_BASE_URL } from "../../utils/urls";

const Comment = ({
  message
}) => {
  const [comment, setComment] = useState("");
  const dispatch = useDispatch();

  const handleChangeInput = e => {
    setComment(e.target.value);
  };

  const sendMessage = () => {
    if (comment && comment !== "") {
      dispatch(addComment({
        type: "message",
        content: comment
      }));
    }
  };

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: "raychat_comment_container"
  }, message.sendStatus["message"].message ? /*#__PURE__*/React.createElement("div", {
    className: "raychat_comment_response"
  }, /*#__PURE__*/React.createElement("span", {
    className: message.sendStatus["message"].success ? "text-green" : "text-red"
  }, message.sendStatus["message"].message)) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "raychat_comment_title_container"
  }, /*#__PURE__*/React.createElement("p", {
    className: "raychat_comment_container_title font-bold"
  }, "\u0645\u0645\u0646\u0648\u0646 \u0627\u0632 \u0634\u0645\u0627 \u0627\u06AF\u0631 \u067E\u06CC\u0634\u0646\u0647\u0627\u062F \u0648 \u0627\u0646\u062A\u0642\u0627\u062F\u06CC \u062F\u0627\u0631\u06CC\u0646 \u062E\u0648\u0634\u062D\u0627\u0644 \u0645\u06CC\u0634\u06CC\u0645 \u0628\u0646\u0648\u06CC\u0633\u06CC\u062F \u0628\u0631\u0627\u0645\u0648\u0646")), /*#__PURE__*/React.createElement("div", {
    className: "raychat_comment_input_container"
  }, /*#__PURE__*/React.createElement("input", {
    type: "text",
    placeholder: "\u0628\u06CC\u0634\u062A\u0631 \u0628\u0646\u0648\u06CC\u0633\u06CC\u062F...",
    className: "font-regular raychat_comment_input",
    onChange: e => handleChangeInput(e)
  }), /*#__PURE__*/React.createElement("button", {
    onClick: () => sendMessage()
  }, /*#__PURE__*/React.createElement("img", {
    src: `${IMAGES_BASE_URL}/paper-plane-outline.svg`
  }))))));
};

export default Comment;