import React from "react";
import AvatrImg from "../../assets/images/avatar.svg";
import Styles from "./styles/messageItem";
import { useDispatch, useSelector } from "react-redux";
import { setActiveDepartment } from "../../redux/messages/messages.actions";
import { setLuancherContent } from "../../redux/widget/widget.actions";
import { useEffect } from "react";
import { raycaht_shuffle_array } from "../../redux/messages/messages.adapter";
import { RAYCHAT_MAIN_URL } from "../../utils/urls";
import { useState } from "react";

const mapState = ({
  messagesData
}) => ({
  messages: messagesData.messages.data
});

const MessageItem = ({
  department
}) => {
  const dispatch = useDispatch();
  const {
    messages
  } = useSelector(mapState);
  const [agents, setAgents] = useState([]);
  useEffect(() => {
    let adaptedAgents = raycaht_shuffle_array(department.agents);
    setAgents(adaptedAgents);
  }, []);
  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    onClick: () => {
      let raychatData = JSON.parse(localStorage.getItem("www.raychat.io"));
      raychatData.raychat_team_id = department._id;
      localStorage.setItem("www.raychat.io", JSON.stringify(raychatData));
      dispatch(setActiveDepartment(department));
      dispatch(setLuancherContent("firstChat"));
    },
    className: "raychat_team_item_main_container"
  }, /*#__PURE__*/React.createElement("div", {
    className: `raychat_team_item_image_container
        ${department.hasNewMessage && "raychat_team_item_with_new_message"} 
        ${department.isOnline && "raychat_team_item_is_online"}  
        ${agents.length > 3 && "raychat_team_item_is_team"}`
  }, agents.length > 3 ? /*#__PURE__*/React.createElement(React.Fragment, null, agents.map((agent, index) => {
    if (agent && index < 3) {
      return /*#__PURE__*/React.createElement("img", {
        className: "raychat_team_item_image",
        src: `${agent.meta.avatar.includes("http") ? agent.meta.avatar : `${RAYCHAT_MAIN_URL}/${agent.meta.avatar}`}`
      });
    }
  })) : /*#__PURE__*/React.createElement("img", {
    className: "raychat_team_item_image",
    src: `${department.logo.includes("http") ? department.logo : `${RAYCHAT_MAIN_URL}/${department.logo}`}`
  })), /*#__PURE__*/React.createElement("div", {
    className: "raychat_team_item_message_container"
  }, /*#__PURE__*/React.createElement("span", {
    className: "raychat_team_item_message_sender font-bold"
  }, department.name), /*#__PURE__*/React.createElement("p", {
    className: "raychat_team_item_messag"
  }, messages.length > 0 ? messages[messages.length - 1].content : "")), /*#__PURE__*/React.createElement("span", {
    className: "raychat_team_item_message_time"
  }, "\u06F1\u06F2:\u06F3\u06F0")));
};

export default MessageItem;