import React from "react";
import emoji from "react-easy-emoji";
import Styles from "./styles/rating";
import { useDispatch } from "react-redux";
import { addComment } from "../../redux/messages/messages.actions";

const Rating = ({
  message
}) => {
  const dispatch = useDispatch();

  const sendMessage = emotion => {
    dispatch(addComment({
      type: "emotion",
      content: emotion
    }));
  };

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: "raychat_rating_message_containr"
  }, message.sendStatus["emotion"].message ? /*#__PURE__*/React.createElement("div", {
    className: "raychat_rating_message_response"
  }, /*#__PURE__*/React.createElement("span", {
    className: message.sendStatus["emotion"].success ? "text-green" : "text-red"
  }, message.sendStatus["emotion"].message)) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
    className: "font-bold raychat_rating_message_title"
  }, "\u0628\u0647 \u0627\u06CC\u0646 \u0645\u06A9\u0627\u0644\u0645\u0647 \u0627\u0645\u062A\u06CC\u0627\u0632 \u062F\u0647\u06CC\u062F"), /*#__PURE__*/React.createElement("div", {
    className: "raychat_rating_message_main_emoji_container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_rating_message_single_emoji_container"
  }, /*#__PURE__*/React.createElement("span", {
    onClick: () => sendMessage("1"),
    className: "emoji"
  }, emoji("😍")), /*#__PURE__*/React.createElement("span", {
    className: "status font-bold"
  }, "\u0639\u0627\u0644\u06CC")), /*#__PURE__*/React.createElement("div", {
    className: "raychat_rating_message_single_emoji_container"
  }, /*#__PURE__*/React.createElement("span", {
    onClick: () => sendMessage("2"),
    className: "emoji"
  }, emoji("😀")), /*#__PURE__*/React.createElement("span", {
    className: "status font-bold"
  }, "\u062E\u0648\u0628")), /*#__PURE__*/React.createElement("div", {
    className: "raychat_rating_message_single_emoji_container"
  }, /*#__PURE__*/React.createElement("span", {
    onClick: () => sendMessage("3"),
    className: "emoji"
  }, emoji("😔")), /*#__PURE__*/React.createElement("span", {
    className: "status font-bold"
  }, "\u0628\u062F")), /*#__PURE__*/React.createElement("div", {
    className: "raychat_rating_message_single_emoji_container"
  }, /*#__PURE__*/React.createElement("span", {
    onClick: () => sendMessage("4"),
    className: "emoji"
  }, emoji("😡")), /*#__PURE__*/React.createElement("span", {
    className: "status font-bold"
  }, "\u0627\u0641\u062A\u0636\u0627\u062D"))))));
};

export default Rating;