import { styled } from "@stitches/react";
import { IMAGES_BASE_URL } from "../../../../utils/urls";
const Styles = styled("div", {
  "& .raychat_operator_text_message": {
    marginTop: "7px",
    marginBottom: "7px",
    display: "flex",
    alignItems: 'flex-end',
    flexDirection: "row-reverse",
    "& .raychat_operator_message_content": {
      background: "#f0f1f1",
      borderRadius: "10px 10px 10px 0",
      color: "#212121",
      padding: "0.8rem",
      maxWidth: "200px",
      textAlign: "start",
      fontSize: "0.9rem",
      overflow: "hidden"
    },
    "& .raychat_operator_emoji_message": {
      fontSize: "96px"
    },
    "& .raychat_operator_avatar_container": {
      width: "32px",
      height: "32px",
      borderRadius: "10px",
      overflow: "hidden",
      marginRight: "0.8rem"
    },
    "& .raychat_operator_avatar": {
      width: "100%",
      height: "100%"
    },
    "& .raychat_operator_img_message": {
      width: "6rem",
      height: "6rem",
      borderRadius: "25px"
    },
    "& .raychat_operator_file_message": {
      background: "#f0f1f2",
      display: "flex",
      alignItems: "center",
      width: "100%",
      justifyContent: "space-between",
      borderRadius: "10px",
      padding: "0.8rem 1rem",
      color: "#ffffff",
      "& .raychat_operator_file_type_container": {
        background: `url(${IMAGES_BASE_URL}/file-background.svg)`,
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        fontWeight: "bold",
        width: "2.5rem",
        height: "2.5rem",
        backgroundRepeat: "no-repeat",
        backgroundSize: "contain",
        backgroundPosition: "center"
      },
      "& .text-red": {
        color: "#e63939"
      },
      "& .text-purple": {
        color: "#a3188e"
      },
      "& span": {
        marginRight: "0.5rem",
        marginLeft: "0.5rem"
      },
      "& .raychat_operator_file_info": {
        display: "flex",
        flexDirection: "column",
        alignItems: "baseline",
        fontSize: "14px",
        "& .raychat_operator_file_size": {
          direction: "ltr"
        }
      },
      "& .raychat_operator_download_file_container": {
        width: "2.5rem",
        height: "2.5rem",
        background: "#ffffff",
        borderRadius: "50%",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        marginRight: "1rem",
        "& img": {
          width: "1rem",
          height: "1.3rem"
        }
      }
    }
  }
});
export default Styles;