import React from "react";
import Styles from "./styles/userMessage";
import emoji from "react-easy-emoji";
import { IMAGES_BASE_URL } from "../../../utils/urls";

const UserMessage = ({
  message
}) => {
  const getFileType = fileName => {
    let array = fileName.split(".");
    return array[array.length - 1].toUpperCase();
  };

  const getProperMessage = message => {
    switch (message.type) {
      case "text":
        return /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_message_content font-bold"
        }, emoji(message.content));
        break;

      case "emoji":
        return /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_emoji_message"
        }, emoji(message.content));
        break;

      case "audio":
        return /*#__PURE__*/React.createElement("audio", {
          controls: true
        }, /*#__PURE__*/React.createElement("source", {
          src: message.url,
          type: "audio/ogg"
        }), /*#__PURE__*/React.createElement("source", {
          src: message.url,
          type: "audio/mpeg"
        }), "Your browser does not support the audio tag.");
        break;

      case "image":
        return /*#__PURE__*/React.createElement("a", {
          target: "blank",
          href: message.url
        }, /*#__PURE__*/React.createElement("img", {
          src: message.url,
          className: "raychat_user_img_message"
        }));
        break;

      case "file":
        return /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_file_message"
        }, /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_file_type_container text-red"
        }, getFileType(message.name)), /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_file_info"
        }, /*#__PURE__*/React.createElement("span", null, message.name), /*#__PURE__*/React.createElement("span", {
          className: "raychat_user_file_size"
        }, `${message.size} ${getFileType(message.name)}`)), /*#__PURE__*/React.createElement("a", {
          target: "blank",
          href: message.url
        }, /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_download_file_container"
        }, /*#__PURE__*/React.createElement("img", {
          src: `${IMAGES_BASE_URL}/downloa-file.svg`
        }))));
        break;

      case "compress":
        return /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_file_message"
        }, /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_file_type_container text-purple"
        }, getFileType(message.name)), /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_file_info"
        }, /*#__PURE__*/React.createElement("span", null, message.name), /*#__PURE__*/React.createElement("span", {
          className: "raychat_user_file_size"
        }, `${message.size} ${getFileType(message.name)}`)), /*#__PURE__*/React.createElement("a", {
          target: "blank",
          href: message.url
        }, /*#__PURE__*/React.createElement("div", {
          className: "raychat_user_download_file_container"
        }, /*#__PURE__*/React.createElement("img", {
          src: `${IMAGES_BASE_URL}/downloa-file.svg`
        }))));
        break;

      case "video":
        return /*#__PURE__*/React.createElement("video", {
          src: message.fileData
        });
        break;

      default:
        break;
    }
  };

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    id: message.tmpId,
    className: "raychat_user_text_message"
  }, getProperMessage(message), /*#__PURE__*/React.createElement("div", {
    className: "raychat_user_message_status"
  }, message.status === "failed" && /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("img", {
    className: "raychat_user_status_icon",
    src: `${IMAGES_BASE_URL}/warning.svg`
  })), message.status === "pending" && /*#__PURE__*/React.createElement("img", {
    className: "raychat_user_status_icon",
    src: `${IMAGES_BASE_URL}/timer.svg`
  }), message.status === "send", message.status === "seen" && /*#__PURE__*/React.createElement("img", {
    className: "raychat_user_status_icon",
    src: `${IMAGES_BASE_URL}/seenMessage.svg`
  }))));
};

export default UserMessage;