import { styled } from "@stitches/react";
import { IMAGES_BASE_URL } from "../../../../utils/urls";
const Styles = styled("div", {
  "& .raychat_user_text_message": {
    marginTop: "7px",
    marginBottom: "7px",
    display: "flex",
    alignItems: "center",
    "& .raychat_user_message_content": {
      padding: "0.8rem",
      maxWidth: "200px",
      textAlign: "start",
      fontSize: "0.9rem",
      background: "var(--primary-color)",
      filter: "brightness(85%)",
      borderRadius: "10px 10px 0 10px",
      color: "#ffffff",
      fontWeight: "bold",
      overflow: "hidden"
    },
    "& .raychat_user_emoji_message": {
      fontSize: "96px"
    },
    "&  .raychat_user_status_icon": {
      marginRight: "0.5rem",
      marginLeft: "0.5rem"
    },
    "& .raychat_user_img_message": {
      width: "6rem",
      height: "6rem",
      borderRadius: "25px"
    },
    "& .raychat_user_file_message": {
      background: "var(--primary-color)",
      display: "flex",
      alignItems: "center",
      width: "100%",
      justifyContent: "space-between",
      borderRadius: "10px",
      padding: "0.8rem 1rem",
      color: "#ffffff",
      "& .raychat_user_file_type_container": {
        background: `url(${IMAGES_BASE_URL}/file-background.svg)`,
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        fontWeight: "bold",
        width: "2.5rem",
        height: "2.5rem",
        backgroundRepeat: "no-repeat",
        backgroundSize: "contain",
        backgroundPosition: "center"
      },
      "& .text-red": {
        color: "#e63939"
      },
      "& .text-purple": {
        color: "#a3188e"
      },
      "& span": {
        marginRight: "0.5rem",
        marginLeft: "0.5rem"
      },
      "& .raychat_user_file_info": {
        display: "flex",
        flexDirection: "column",
        alignItems: "baseline",
        fontSize: "14px",
        "& .raychat_user_file_size": {
          direction: "ltr"
        }
      },
      "& .raychat_user_download_file_container": {
        width: "2.5rem",
        height: "2.5rem",
        background: "#ffffff",
        borderRadius: "50%",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        marginRight: "1rem",
        "& img": {
          width: "1rem",
          height: "1.3rem"
        }
      }
    }
  }
});
export default Styles;