import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .raychat_greeting_container": {
    position: "fixed",
    right: "var(--trigger-right-position)",
    left: "var(--trigger-left-position)",
    top: "var(--trigger-top-position)",
    bottom: "var(--trigger-bottom-position)",
    display: "flex",
    alignItems: "flex-end",
    marginRight: "1rem",
    "&:hover": {
      "& .raychat_greeting_actions": {
        display: "flex"
      }
    },
    "& .raychat_greeting": {
      display: "flex",
      flexDirection: "column",
      width: "320px"
    },
    "& .raychat_greeting_actions": {
      display: "none",
      marginBottom: "1rem",
      width: "26px",
      height: "26px",
      background: "#212121",
      boxShadow: "0px 3px 32px #00000024",
      borderRadius: "50%",
      cursor: "pointer",
      alignItems: "center",
      justifyContent: "center",
      "& .raychat_close_greeting": {
        width: "8px",
        height: "8px"
      }
    },
    "& .raychat_greeting_message_container": {
      height: "auto",
      background: "#ffffff",
      boxShadow: "0px 3px 32px #00000024",
      borderRadius: "12px",
      marginBottom: "1rem",
      padding: "1rem",
      textAlign: "start"
    },
    "& .raychat_greeting_input_container": {
      height: "52px",
      background: "#ffffff",
      boxShadow: "0px 3px 32px #00000024",
      borderRadius: "12px",
      overflow: "hidden",
      display: "flex",
      alignItems: "center",
      justifyContent: "space-between",
      padding: "0 0.5rem",
      "& .raychat_greeting_input": {
        flex: "1"
      },
      "& .raychat_greeting_send_icon_container": {
        transform: "rotate(-135deg)"
      },
      "& .raychat_greeting_send_icon": {
        height: "30px",
        width: "30px",
        transform: "rotate(180deg)",
        cursor: "pointer"
      }
    },
    "& .raychat_greeting_greeting_avatar": {
      width: "50px",
      height: "50px",
      marginRight: "1rem"
    }
  },
  "@media only screen and (max-width:500px)": {
    "& .raychat_greeting": {
      width: "200px !important"
    }
  }
});
export default Styles;