import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .raychat_accepted_chat_header_container": {
    position: "relative",
    padding: "1rem",
    background: "transparent linear-gradient(258deg, #0000004d 0%, #548db100 100%)",
    "&::before": {
      content: "",
      position: "absolute",
      background: "var(--primary-color)",
      width: "100%",
      height: "100%",
      top: "0",
      right: "0",
      zIndex: "-1"
    },
    "& .raychat_accepted_chat_header": {
      display: "flex",
      alignItems: "center",
      justifyContent: "space-between",
      height: "60px"
    },
    "& .raychat_accepted_chat_operator_info": {
      display: "flex",
      alignItems: "center",
      flex: "1"
    },
    "& .raychat_accepted_chat_avatar_container": {
      width: "45px",
      height: "45px",
      borderRadius: "18px",
      border: "1px solid #ffffff",
      position: "relative",
      "& img": {
        width: "45px",
        height: "45px",
        borderRadius: "15px"
      },
      "&::before": {
        content: "",
        position: "absolute",
        width: "11px",
        height: "11px",
        border: "2px solid #5c1053",
        background: "#3dcc9f",
        borderRadius: "50%",
        bottom: "0",
        right: "0"
      }
    },
    "& .raychat_accepted_chat_agent_info": {
      display: "flex",
      flexDirection: "column",
      alignItems: "flex-start",
      marginRight: "1rem",
      marginLeft: "1rem",
      "& .raychat_accepted_chat_agent_name": {},
      "& .raychat_accepted_chat_agent_avatar_container": {
        display: "flex",
        alignItems: "center",
        "& img": {
          width: "1rem",
          height: "1rem"
        }
      }
    },
    "& .raychat_accepted_chat_actions": {
      display: "flex",
      alignItems: "center"
    },
    "& .raychat_accepted_chat_close_icon": {
      width: "40px",
      height: "40px",
      marginRight: "10px",
      boxSizing: "border-box",
      cursor: "pointer",
      borderRadius: "50%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      "& img": {
        width: "2.5rem",
        height: "2.5rem",
        padding: "13px",
        boxSizing: "border-box"
      },
      "&:hover": {
        background: "var(--primary-color)",
        filter: "brightness(85%)"
      }
    },
    "& .raychat_accepted_chat_back_icon": {
      width: "40px",
      height: "40px",
      marginRight: "10px",
      boxSizing: "border-box",
      cursor: "pointer",
      borderRadius: "50%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      "& img": {
        width: "2.5rem",
        height: "2.5rem",
        padding: "6px",
        boxSizing: "border-box"
      },
      "&:hover": {
        background: "var(--primary-color)",
        filter: "brightness(85%)"
      }
    },
    "&.expanded": {
      "& .raychat_accepted_chat_header_description_container": {
        height: "8rem",
        opacity: "1",
        display: "flex",
        alignItems: 'flex-start',
        flexDirection: "column" // transition: "1s cubic-bezier(0.21, 0.01, 0.03, 0.99)",

      }
    },
    "& .raychat_accepted_chat_header_description_container": {
      height: "0px",
      opacity: "0" // transition: "1s cubic-bezier(0.21, 0.01, 0.03, 0.99)",

    },
    "& .raychat_accepted_chat_agnet_position": {
      fontSize: "1rem"
    },
    "& .raychat_accepted_chat_header_description": {
      fontSize: "0.8rem",
      textAlign: "start"
    },
    "& .raychat_accepted_chat_agent": {
      fontSize: "0.8rem",
      marginRight: "1rem",
      marginLeft: "1rem"
    }
  },
  "@media (max-width: 450px)": {
    "& .raychat_accepted_chat_close_icon": {
      "& img": {
        padding: "11px !important"
      }
    }
  }
});
export default Styles;