import React from "react";
import Styles from "./styles/header";
import { useDispatch } from "react-redux";
import { setShowLuancher } from "../../../../../redux/widget/widget.actions";
import { IMAGES_BASE_URL } from "../../../../../utils/urls";

const Header = ({
  imageUrl,
  teamName
}) => {
  const dispatch = useDispatch();

  const handleCloseLuancher = () => {
    dispatch(setShowLuancher(false));
  };

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: "raychat_sc_header"
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_sc_header_team_name font-bold"
  }, " ", teamName ? teamName : "لیست مکالمات", " "), /*#__PURE__*/React.createElement("div", {
    className: "raychat_sc_header_close_button",
    onClick: () => handleCloseLuancher()
  }, /*#__PURE__*/React.createElement("img", {
    className: "raychat_sc_header_close_icon",
    src: `${IMAGES_BASE_URL}/close.svg`
  }))));
};

export default Header;