import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .raychat_sc_header": {
    position: "relative",
    background: "transparent linear-gradient(258deg, #0000004d 0%, #548db100 100%) 0% 0% no-repeat padding-box",
    minHeight: "75px",
    borderTopLeftRadius: "9px",
    borderTopRightRadius: "9px",
    color: "#ffffff",
    padding: "10px",
    boxShadow: "0px 0px 20px #0000001a",
    boxSizing: "border-box",
    display: "flex",
    alignItems: "center",
    "&::before": {
      content: "",
      position: "absolute",
      background: "var(--primary-color)",
      width: "100%",
      height: "100%",
      top: "0",
      right: "0",
      zIndex: "-1"
    }
  },
  "& .raychat_sc_header--img": {
    borderRadius: "50%",
    padding: "10px",
    alignSelf: "start"
  },
  "& .raychat_sc_header_team_name": {
    alignSelf: "center",
    padding: "10px",
    flex: "1",
    userSelect: "none",
    cursor: "pointer",
    borderRadius: "5px",
    fontWeight: "bold",
    textAlign: "start"
  },
  "& .raychat_sc_header_close_button": {
    width: "40px",
    height: "40px",
    marginRight: "10px",
    boxSizing: "border-box",
    cursor: "pointer",
    borderRadius: "50%",
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    "&:hover": {
      background: "var(--primary-color)",
      filter: "brightness(85%)"
    },
    "& .raychat_sc_header_close_icon": {
      width: '2.5rem !important',
      height: '2.5rem !important'
    },
    "& img": {
      width: "100%",
      height: "100%",
      padding: "13px",
      boxSizing: "border-box"
    }
  },
  "@media (max-width: 450px)": {
    "& .raychat_sc_header_close_button ": {
      "& img": {
        padding: "11px"
      }
    },
    "& .raychat_sc_header": {
      borderRadius: "0px"
    }
  }
});
export default Styles;