import React from "react";
import { useEffect } from "react";
import MessageItem from "../../../../../components/messageItem/MessageItem";
import Header from "../header/Header";
import Styles from "./styles/conversationsList";
import { useDispatch, useSelector } from "react-redux";
import { fetchDepartmentsStart } from "../../../../../redux/messages/messages.actions";
import { setLuancherContent } from "../../../../../redux/widget/widget.actions";

const mapState = ({
  messagesData,
  widgetData
}) => ({
  departments: widgetData.widgetInfo.data.team.teams,
  channel_id: widgetData.widgetInfo.data.team.channelId
});

const ConversationsList = () => {
  const dispatch = useDispatch();
  const {
    departments,
    channel_id
  } = useSelector(mapState); // useEffect(()=>{
  //     dispatch(fetchDepartmentsStart({channel_id}))
  // },[])

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: "raychat_conversations_list"
  }, /*#__PURE__*/React.createElement(Header, null), /*#__PURE__*/React.createElement("div", {
    className: "raychat_conversations_list_messages_container"
  }, departments.length > 0 && departments.map((department, index) => /*#__PURE__*/React.createElement(MessageItem, {
    department: department
  })), /*#__PURE__*/React.createElement("div", {
    className: "raychat_conversations_list_footer"
  }, /*#__PURE__*/React.createElement("button", {
    onClick: () => {
      dispatch(setLuancherContent("firstChat"));
    },
    className: "font-bold"
  }, "\u0634\u0631\u0648\u0639 \u0645\u06A9\u0627\u0644\u0645\u0647")))));
};

export default /*#__PURE__*/React.memo(ConversationsList);