import React from "react";
import Styles from "./styles/cover";
import { useSelector } from "react-redux";
import { useDispatch } from "react-redux";
import { setLuancherContent, setShowLuancher } from "../../../../redux/widget/widget.actions";
import BackIcon from "../../../../components/icons/BackIcon";
import { IMAGES_BASE_URL, RAYCHAT_MAIN_URL } from "../../../../utils/urls";

const mapState = ({
  widgetData
}) => ({
  widgetInfo: widgetData.widgetInfo,
  operators: widgetData.widgetInfo.data.operators
});

const Cover = ({
  changeLuncherContent
}) => {
  const {
    widgetInfo,
    operators
  } = useSelector(mapState);
  const dispatch = useDispatch();

  const handleCloseLuancher = () => {
    dispatch(setShowLuancher(false));
  };

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_container"
  }, /*#__PURE__*/React.createElement("div", {
    onClick: () => handleCloseLuancher(),
    className: "raychat_cover_close_button"
  }, /*#__PURE__*/React.createElement("img", {
    className: "raychat_cover_close_icon",
    src: `${IMAGES_BASE_URL}/close.svg`
  })), /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_team_info_container"
  }, /*#__PURE__*/React.createElement("img", {
    className: "raychat_cover_conv_img",
    src: widgetInfo.data.coverIcon,
    alt: ""
  }), /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_team_title font-bold"
  }, widgetInfo.data.personalize.title), /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_team_title_description font-medium"
  }, widgetInfo.data.personalize.title2)), /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_start_conversation_container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_start_conversation_r"
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_operator_avatar_container"
  }, operators.map((operator, index) => {
    if (operator && index < 3) {
      return /*#__PURE__*/React.createElement("img", {
        className: "raychat_cover_operator_avatar",
        src: `${operator.meta.avatar.includes("http") ? operator.meta.avatar : `${RAYCHAT_MAIN_URL}/${operator.meta.avatar}`}`
      });
    }
  })), /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_start_conversation_btn",
    onClick: () => dispatch(setLuancherContent("conversationsList"))
  }, /*#__PURE__*/React.createElement("button", {
    className: "font-bold"
  }, "\u0634\u0631\u0648\u0639 \u0645\u06A9\u0627\u0644\u0645\u0647"), /*#__PURE__*/React.createElement("img", {
    className: "raychat_cover_close_icon",
    src: `${IMAGES_BASE_URL}/arrow-ios-back-outline.svg`
  }))), /*#__PURE__*/React.createElement("div", {
    className: "raychat_cover_start_conversation_l font-bold"
  }, "\u0632\u0645\u0627\u0646 \u0627\u062E\u0631\u06CC\u0646 \u0645\u06A9\u0627\u0644\u0645\u0647"))));
};

export default Cover;