import { styled } from "@stitches/react";
const Styles = styled("div", {
  height: "100%",
  "& .raychat_cover_container": {
    background: "var(--primary-color)",
    height: "100%",
    color: "#ffffff",
    padding: "15px",
    boxShadow: "0 1px 4px rgba(0, 0, 0, 0.2)",
    position: "relative",
    boxSizing: "border-box",
    display: "flex",
    flexDirection: "column",
    background: "linear-gradient(258deg, rgba(0, 0, 0, 0.3) 0%, rgba(84, 141, 177, 0) 100%) 0% 0% no-repeat padding-box padding-box transparent",
    "&::before": {
      content: "",
      position: "absolute",
      background: "var(--primary-color)",
      width: "100%",
      height: "100%",
      top: "0",
      right: "0",
      zIndex: "-1"
    }
  },
  "& .raychat_cover_team_info_container": {
    paddingRight: "1.5rem",
    paddingLeft: "1.5rem",
    marginBottom: "3rem",
    marginTop: "11rem",
    zIndex: "2",
    textAlign: "right"
  },
  "& .raychat_cover_conv_img": {
    borderRadius: "28px",
    alignSelf: "flex-start",
    marginBottom: "0.4rem",
    width: "60px",
    height: "60px"
  },
  "& .raychat_cover_team_title": {
    fontSize: "20px",
    direction: "rtl",
    marginBottom: "0.2rem"
  },
  "& .raychat_cover_team_title_description": {
    fontSize: "14px",
    direction: "rtl"
  },
  "& .raychat_cover_close_button": {
    width: "40px",
    alignSelf: "start",
    height: "40px",
    marginRight: "10px",
    boxSizing: "border-box",
    cursor: "pointer",
    borderRadius: "50%",
    marginBottom: "40px",
    zIndex: "2",
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    "&:hover": {
      background: "var(--primary-color)",
      filter: "brightness(85%)"
    },
    "& .raychat_cover_close_icon": {
      width: "2.5rem",
      height: "2.5rem"
    },
    "& img": {
      width: "100%",
      height: "100%",
      padding: "13px",
      boxSizing: "border-box"
    }
  },
  "& .raychat_cover_start_conversation_container": {
    height: "150px",
    backgroundColor: "#ffffff",
    direction: "rtl",
    borderRadius: "16px",
    marginTop: "12px",
    display: "flex",
    flexDirection: "row",
    "& .raychat_cover_start_conversation_r": {
      flexDirection: "column",
      display: "flex",
      justifyContent: "center",
      width: "50%",
      zIndex: "2",
      "& .raychat_cover_operator_avatar_container": {
        position: "relative",
        marginRight: "23px",
        marginBottom: "1rem",
        "& .raychat_cover_operator_avatar": {
          width: "50px ",
          height: "50px ",
          boxShadow: "0px 3px 16px #00000015",
          border: "2px solid #ffffff",
          borderRadius: "15px",
          position: "relative",
          background: "#ffffff",
          "&:nth-child(1)": {
            zIndex: "1",
            right: "0px",
            bottom: "0"
          },
          "&:nth-child(2)": {
            zIndex: "2",
            right: "-15px",
            bottom: "0"
          },
          "&:nth-child(3)": {
            zIndex: "3",
            right: "-30px",
            bottom: "0"
          }
        }
      },
      "& .raychat_cover_start_conversation_btn": {
        position: "relative",
        height: "45px",
        marginTop: "5px",
        marginRight: "23px",
        border: "none",
        outline: "none",
        cursor: "pointer",
        backgroundColor: "var(--primary-color)",
        borderRadius: "8px",
        display: "flex",
        alignItems: "center",
        justifyContent: "space-around",
        img: {
          width: "1.5rem",
          height: "1.5rem"
        },
        button: {
          color: "#ffffff",
          fontSize: "16px"
        }
      }
    },
    "& .raychat_cover_start_conversation_l": {
      width: "50%",
      color: "black",
      fontWeight: "900",
      margin: "auto",
      zIndex: "2"
    }
  },
  "@media (max-height: 750px)": {
    "& .raychat_cover_team_info_container": {
      marginTop: "3rem !important"
    }
  },
  "@media (max-height: 650px)": {
    "& .raychat_cover_team_info_container": {
      marginTop: "0 !important"
    }
  },
  "@media (max-width: 450px)": {
    "& .raychat_cover_close_button": {
      "& img": {
        padding: "11px"
      }
    },
    "& .raychat_cover_container": {
      borderRadius: "0px"
    },
    "& .raychat_cover_operator_avatar": {
      width: "40px !important",
      height: "40px !important"
    },
    "& .raychat_cover_start_conversation_r, & .raychat_cover_start_conversation_l ": {
      width: "100%",
      "& .raychat_cover_start_conversation_btn": {
        marginRight: "0",
        marginTop: "10px"
      },
      "& .raychat_cover_operator_avatar_container": {
        marginRight: "0"
      }
    }
  }
});
export default Styles;