import React from "react";
import Styles from "./styles/header";
import { useSelector } from "react-redux";
import AcceptedChatHeader from "../../acceptedChat/header/Header";
import { useDispatch } from "react-redux";
import { setLuancherContent, setShowLuancher } from "../../../../../redux/widget/widget.actions";
import CloseIcon from "../../../../../components/icons/CloseIcon";
import BackIcon from "../../../../../components/icons/BackIcon";
import { useRef } from "react";
import { useEffect } from "react";
import { useState } from "react";
import { IMAGES_BASE_URL, RAYCHAT_MAIN_URL } from "../../../../../utils/urls";

const mapState = ({
  widgetData,
  messagesData
}) => ({
  widgetInfo: widgetData.widgetInfo,
  acceptedChat: messagesData.acceptedChat,
  headerExpand: widgetData.widgetInfo.headerExpand,
  agents: messagesData.agents,
  coverIcon: widgetData.widgetInfo.data.coverIcon
});

const Header = () => {
  const {
    widgetInfo,
    acceptedChat,
    headerExpand,
    agents,
    coverIcon
  } = useSelector(mapState);
  const [descriptionHeight, setDEscriptionHeight] = useState(null);
  const dispatch = useDispatch();

  const handleCloseLuancher = () => {
    dispatch(setShowLuancher(false));
  };

  let desc = useRef(null);
  useEffect(() => {
    if (desc.current) {
      const childHeightRaw = desc.current.clientHeight;

      if (childHeightRaw) {
        const childHeight = `${childHeightRaw / 16}rem`;
        setDEscriptionHeight(childHeight);
      }
    }
  }, []);
  return /*#__PURE__*/React.createElement("div", {
    style: {
      zIndex: "999999999"
    }
  }, acceptedChat.status ? /*#__PURE__*/React.createElement(AcceptedChatHeader, {
    agentInfo: acceptedChat.agentInfo
  }) : /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: `raychat_chat_header ${headerExpand && "expanded"}`
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_team_info"
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_actions_container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_title_container"
  }, /*#__PURE__*/React.createElement("img", {
    src: coverIcon,
    className: "raychat_chat_header_logo"
  }), /*#__PURE__*/React.createElement("span", {
    className: "raychat_chat_header_title font-bold"
  }, widgetInfo.data.personalize.title)), /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_actions"
  }, /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_close_icon",
    onClick: () => handleCloseLuancher()
  }, /*#__PURE__*/React.createElement("img", {
    src: `${IMAGES_BASE_URL}/close.svg`
  })), /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_back_icon",
    onClick: () => dispatch(setLuancherContent("conversationsList"))
  }, /*#__PURE__*/React.createElement("img", {
    src: `${IMAGES_BASE_URL}/arrow-ios-back-outline.svg`
  }))))), /*#__PURE__*/React.createElement("div", {
    ref: desc,
    style: {
      maxHeight: headerExpand ? descriptionHeight : 0,
      transition: "0.4s max-height"
    },
    className: `raychat_chat_header_description_conatiner `
  }, /*#__PURE__*/React.createElement("p", {
    className: "raychat_chat_header_description text-start font-bold"
  }, widgetInfo.data.personalize.title2), /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_avatar_container"
  }, /*#__PURE__*/React.createElement("div", null, agents.map((agent, index) => {
    if (index < 3 && agent) {
      return /*#__PURE__*/React.createElement("img", {
        className: `raychat_chat_header_avatar ${agent.online && "raychat_chat_header_online_agent"}`,
        src: `${agent.avatar ? agent.avatar.includes("http") ? agent.avatar : `${RAYCHAT_MAIN_URL}/${agent.avatar}` : coverIcon}`
      });
    }
  })), /*#__PURE__*/React.createElement("div", {
    className: "raychat_chat_header_activity_status"
  }, /*#__PURE__*/React.createElement("span", {
    className: "raychat_chat_header_answer_time font-regular"
  }, "\u0645\u06CC\u0627\u0646\u06AF\u06CC\u0646 \u0632\u0645\u0627\u0646 \u067E\u0627\u0633\u062E\u06AF\u0648\u06CC\u06CC"), /*#__PURE__*/React.createElement("span", {
    className: "raychat_chat_header_time font-bold"
  }, "\u0686\u0646\u062F \u062F\u0642\u06CC\u0642\u0647")))))));
};

export default Header;