import { styled } from "@stitches/react";
let Styles = styled("div", {
  "& .raychat_chat_header": {
    padding: "1rem",
    position: "relative",
    color: "#ffffff",
    background: "transparent linear-gradient(258deg, #0000004d 0%, #548db100 100%)",
    "& .raychat_chat_header_team_info": {
      height: "3rem",
      "& .raychat_chat_header_actions_container": {
        display: "flex",
        alignItems: "center",
        justifyContent: "space-between",
        "& .raychat_chat_header_title_container": {
          flex: "1",
          display: "flex",
          alignItems: "center",
          "& .raychat_chat_header_title": {
            marginRight: "1rem",
            marginLeft: "1rem",
            fontSize: "1.5rem"
          }
        },
        "& .raychat_chat_header_actions": {
          display: "flex",
          alignItems: "center"
        }
      }
    },
    "&.expanded": {
      "& .raychat_chat_header_description_conatiner": {
        height: "6rem",
        opacity: "1"
      }
    },
    "& .raychat_chat_header_description_conatiner": {
      height: "0px",
      opacity: "0"
    },
    "&::before": {
      content: "",
      position: "absolute",
      background: "var(--primary-color)",
      width: "100%",
      height: "100%",
      top: "0",
      right: "0",
      zIndex: "-1"
    },
    "& .raychat_chat_header_logo": {
      width: "51px",
      height: "51px",
      borderRadius: "22px"
    },
    "& .name": {
      fontSize: "1.25rem"
    },
    "& .time": {
      fontSize: "1rem"
    },
    "& .raychat_chat_header_close_icon": {
      width: "40px",
      height: "40px",
      marginRight: "10px",
      boxSizing: "border-box",
      cursor: "pointer",
      borderRadius: "50%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      "& img": {
        width: "2.5rem",
        height: "2.5rem",
        padding: "13px",
        boxSizing: "border-box"
      },
      "&:hover": {
        background: "var(--primary-color)",
        filter: "brightness(85%)"
      }
    },
    "& .raychat_chat_header_back_icon": {
      width: "40px",
      height: "40px",
      marginRight: "10px",
      boxSizing: "border-box",
      cursor: "pointer",
      borderRadius: "50%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      "& img": {
        width: "2.5rem",
        height: "2.5rem",
        padding: "6px",
        boxSizing: "border-box"
      },
      "&:hover": {
        background: "var(--primary-color)",
        filter: "brightness(85%)"
      }
    },
    "& .raychat_chat_header_description": {
      fontSize: "0.8rem",
      marginTop: "1rem",
      marginBottom: "1rem"
    },
    "& .raychat_chat_header_avatar_container": {
      display: "flex",
      alignItems: "center"
    },
    "& .raychat_chat_header_avatar": {
      width: "45px",
      height: "45px",
      border: "2px solid var(--primary-color)",
      background: "var(--primary-color)",
      borderRadius: "15px",
      position: "relative"
    },
    "& .raychat_chat_header_online_agent": {
      "&::before": {
        content: "",
        position: "absolute",
        background: "#13ed13",
        width: "0.8rem",
        height: "0.8rem",
        bottom: "0px",
        right: "0px",
        borderRadius: "50%"
      }
    },
    "& .raychat_chat_header_avatar:nth-child(1)": {
      right: "0",
      zIndex: "3"
    },
    "& .raychat_chat_header_avatar:nth-child(2)": {
      right: "-30px",
      zIndex: "2"
    },
    "& .raychat_chat_header_avatar:nth-child(3)": {
      right: "-60px",
      zIndex: "1"
    },
    "& .raychat_chat_header_activity_status": {
      display: "flex",
      flexDirection: "column",
      alignItems: "flex-start",
      position: "relative",
      right: "-45px",
      "& .raychat_chat_header_answer_time": {
        fontSize: "0.688rem"
      },
      "& .raychat_chat_header_time": {
        fontSize: "0.875rem",
        marginTop: "0.5rem",
        marginBottom: "0.5rem"
      }
    }
  }
});
export default Styles;