import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .raychat_luancher_main_container": {
    overflow: "hidden"
  },
  "&  .raychat_luancher_centered": {
    display: "flex",
    alignItems: "center",
    justifyContent: "center"
  },
  "& .my-element": {
    display: "inline-block",
    margin: "0 0.5rem",
    animationFillMode: "both",
    animation: "flip"
    /* referring directly to the animation's @keyframe declaration */
    ,
    animationDuration: "2s"
    /* don't forget to set a duration! */

  },
  "& .raychat_sc_launcher": {
    overflow: "hidden",
    width: "60px",
    height: "60px",
    backgroundColor: "var(--primary-color)",
    backgroundPosition: "center",
    backgroundRepeat: "no-repeat",
    position: "fixed",
    right: "var(--widget-right-position)",
    left: "var(--widget-left-position)",
    bottom: "var(--widget-bottom-position)",
    top: "var(--widget-top-position)",
    borderRadius: "20px",
    boxShadow: "none",
    transition: "box-shadow 0.2s ease-in-out"
  },
  "& .raychat_luancher_hidden": {
    display: "none"
  },
  "& .raychat_sc_launcher .sc-open-icon,& .raychat_sc_launcher .sc-closed-icon": {
    // borderRadius: "50%",
    "& img": {
      width: "1rem",
      height: "1rem"
    }
  },
  "& .sc-open-icon": {
    width: "60px",
    height: "60px"
  },
  "& .raychat_sc_launcher .sc-closed-icon": {
    width: "60px",
    height: "60px",
    borderRadius: "20px"
  },
  "& .raychat_sc_launcher .sc-open-icon": {
    padding: "20px",
    boxSizing: "border-box"
  },
  "& .raychat_sc_launcher .raychat_luancher_opened:before": {
    boxShadow: "0px 0px 400px 250px rgba(148, 149, 150, 0.2)"
  },
  "& .raychat_sc_launcher:hover": {
    boxShadow: "0 0px 27px 1.5px rgba(0,0,0,0.2)"
  },
  "& .sc-new-messsages-count": {
    position: "absolute",
    top: "-3px",
    left: "41px",
    display: "flex",
    justifyContent: "center",
    flexDirection: "column",
    borderRadius: "50%",
    width: "22px",
    height: "22px",
    background: "red",
    color: "#ffffff",
    textAlign: "center",
    margin: "auto",
    fontSize: "12px",
    fontWeight: "500"
  },
  "& .raychat_sc_chat_window": {
    zIndex: '99999999999999999999 !important',
    width: "400px",
    height: "calc(100% - 120px)",
    maxHeight: "680px",
    position: "fixed",
    right: "var(--widget-right-position)",
    left: "var(--widget-left-position)",
    top: "var(--luancher-top-position)",
    bottom: "var(--luancher-bottom-position)",
    boxSizing: "border-box",
    boxShadow: "0px 7px 40px 2px rgba(148, 149, 150, 0.3)",
    background: "white",
    display: "flex",
    flexDirection: "column",
    justifyContent: "space-between",
    transition: "0.3s ease-in-out",
    borderRadius: "20px",
    overflow: "hidden"
  },
  "& .raychat_sc_chat_window-mobile": {
    width: "100vw",
    height: "100vh"
  },
  "& .raychat_sc_chat_window.raychat_luancher_centered": {
    opacity: "0",
    visibility: "hidden",
    bottom: "90px"
  },
  "& .sc-message-list": {
    height: "80%",
    overflowY: "auto",
    backgroundColor: "white",
    backgroundSize: "100%",
    padding: "40px 0px"
  },
  "& .sc-message--me": {
    textAlign: "right"
  },
  "& .sc-message--them": {
    textAlign: "left"
  },
  "@media (max-width: 450px)": {
    "& .raychat_sc_chat_window": {
      width: "100%",
      height: "100%",
      maxHeight: "100%",
      right: "0px",
      bottom: "0px",
      borderRadius: "5px",
      transition: "0.1s ease-in-out"
    },
    "& .raychat_sc_chat_window.raychat_luancher_centered": {
      bottom: "0px"
    }
  }
});
export default Styles;