import { messageTypes } from "./messages.types";
export const setNewMessage = message => ({
  type: messageTypes.SET_NEW_MESSAGE,
  payload: message
});
export const fetchDepartmentsStart = channel_id => ({
  type: messageTypes.FETCH_DEPARTMENTS_START,
  payload: channel_id
});
export const setDepatments = departments => ({
  type: messageTypes.SET_DEPARTMENTS,
  payload: departments
});
export const setActiveDepartment = department => ({
  type: messageTypes.SET_ACTIVE_DEPARTMENT,
  payload: department
});
export const setAcceptedChat = ({
  status,
  agentInfo
}) => ({
  type: messageTypes.SET_ACCEPTED_CHAT,
  payload: {
    status,
    agentInfo
  }
});
export const setMessageStatus = ({
  status,
  message_id
}) => ({
  type: messageTypes.SET_MESSAGE_STATUS,
  payload: {
    status,
    message_id
  }
});
export const setFormMessage = message => ({
  type: messageTypes.SET_FORM_MESSAGE,
  payload: {
    message
  }
});
export const sendMessage = message => ({
  type: messageTypes.SEND_MESSAGE,
  payload: message
});
export const setUserInput = input => ({
  type: messageTypes.SET_USER_INPUT,
  payload: input
});
export const sendFileMessage = file => ({
  type: messageTypes.SEND_FILE_MESSAGE,
  payload: file
});
export const setSendingFile = file => ({
  type: messageTypes.SET_SENDING_FILE,
  payload: file
});
export const uploadFile = file => ({
  type: messageTypes.UPLOAD_FILE,
  payload: file
});
export const setVoiceRecording = isRecording => ({
  type: messageTypes.SET_VOICE_RECORDING,
  payload: isRecording
});
export const sendFormMessage = formFields => ({
  type: messageTypes.SEND_FOMR_MESSAGE,
  payload: formFields
});
export const setUserFormStatus = response => ({
  type: messageTypes.SET_USER_FORM_STATUS,
  payload: response
});
export const sendNewTypedWord = message => ({
  type: messageTypes.TYPE_NEW_WORD,
  payload: message
});
export const setFetchMoreMessages = enable => ({
  type: messageTypes.SET_FETCH_MORE_MESSAGES,
  payload: enable
});
export const fetchMoreMessagesStart = page => ({
  type: messageTypes.FETCH_MORE_MESSAGES_START,
  payload: page
});
export const setOldMessages = messages => ({
  type: messageTypes.SET_OLD_MESSAGES,
  payload: messages
});
export const setAgents = agents => ({
  type: messageTypes.SET_AGENTS,
  payload: agents
});
export const setDisableInput = ({
  status,
  description
}) => ({
  type: messageTypes.SET_DISABLE_INPUT,
  payload: {
    status,
    description
  }
});
export const setRecordingAudio = audio => ({
  type: messageTypes.SET_RECORDING_AUDIO,
  payload: audio
});
export const addComment = comment => ({
  type: messageTypes.ADD_COMMENT,
  payload: comment
});
export const getAcceptedChatInfo = () => ({
  type: messageTypes.GET_ACCEPTED_CHAT
});
export const setCommentResponse = ({
  message,
  box,
  success
}) => ({
  type: messageTypes.SET_COMMENT_RESPONSE,
  payload: {
    message,
    box,
    success
  }
});
export const setBrowser = browserInfo => ({
  type: messageTypes.SET_BROWSER,
  payload: browserInfo
});
export const setOffilneMessage = payload => ({
  type: messageTypes.SET_OFFLINE_MESSAGE,
  payload: payload
});
export const updateAcceptedChatAvatar = avatar => ({
  type: messageTypes.UPDATE_ACCEPTED_CHAT_AVATAR,
  payload: avatar
});