import { all, call, put, takeLatest } from "redux-saga/effects";
import { setLuancherIcon, setOfficeHoure, setShowLuancher, setShowWidget, setWidgetInfo } from "./widget.actions";
import { createWidgetInfoObject } from "./widget.adapter";
import { handleFetchWidgetInfo } from "./widget.helper";
import { widgetTypes } from "./widget.types";
export function* fetchWidgetInfo() {
  try {
    const returnedData = yield handleFetchWidgetInfo();

    if (returnedData.statusCode === 200) {
      let widgetInfoObject = yield call(createWidgetInfoObject, returnedData.data);
      yield put(setWidgetInfo(widgetInfoObject.data));
      yield put(setLuancherIcon(widgetInfoObject.icon));
      yield put(setShowWidget(widgetInfoObject.showWidget));
      yield put(setOfficeHoure(widgetInfoObject.isOfficeHoure));
      return {
        status: true,
        data: widgetInfoObject.data
      };
    } else if (returnedData.statusCode && (returnedData.statusCode === 403 || returnedData.statusCode === 204)) {
      yield put(setShowWidget(false));
      return {
        status: false
      };
    }
  } catch (error) {
    console.log(error);
  }
} // export function* onFetchWidgetInfoStart() {
//   yield takeLatest(widgetTypes.FETCH_WIDGET_INFO_START, fetchWidgetInfo);
// }

export default function* widgetSagas() {// yield all([call(onFetchWidgetInfoStart)]);
}